'use strict';

var A_ROTATE = 'rotate';
var A_BEAT = 'beat';
var A_SHAKE = 'shake';

var IoniconsMixin = {
  computed: {
    ionClass: function ionClass() {
      var addClass = '';
      if (this.animate === A_ROTATE) {
        addClass = 'ion-rotate ';
      } else if (this.animate === A_BEAT) {
        addClass = 'ion-beat ';
      } else if (this.animate === A_SHAKE) {
        addClass = 'ion-shake ';
      }

      return ((this.rootClass) + " " + addClass)
    }
  },
  props: {
    title: {
      type: String,
      default: ''
    },
    rootClass: {
      type: String,
      default: ''
    },
    w: {
      type: String,
      default: '14px'
    },
    h: {
      type: String,
      default: '14px'
    },
    animate: {
      type: String,
      default: ''
    }
  }
};

//

var script = {
  name: "ios-information-circle-outline-icon",
  mixins: [
    IoniconsMixin
  ],
  data: function data () {
    var iconTitle = this.title ? this.title : "Ios Information Circle Outline Icon";
    return {
      iconTitle: iconTitle
    }
  }
};

/* script */
            var __vue_script__ = script;
            
/* template */
var __vue_render__ = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"ion",class:_vm.ionClass,attrs:{"title":_vm.iconTitle,"name":"ios-information-circle-outline-icon"}},[_c('svg',{staticClass:"ion__svg",attrs:{"width":_vm.w,"height":_vm.h,"viewBox":"0 0 512 512"}},[_c('path',{attrs:{"d":"M235.4 172.2c0-11.4 9.3-19.9 20.5-19.9 11.4 0 20.7 8.5 20.7 19.9s-9.3 20-20.7 20c-11.2 0-20.5-8.6-20.5-20zm1.4 35.7H275V352h-38.2V207.9z"}}),_c('path',{attrs:{"d":"M256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3S304.1 436 256 436c-48.1 0-93.3-18.7-127.3-52.7S76 304.1 76 256s18.7-93.3 52.7-127.3S207.9 76 256 76m0-28C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}})])])};
var __vue_staticRenderFns__ = [];

  /* style */
  var __vue_inject_styles__ = undefined;
  /* scoped */
  var __vue_scope_id__ = undefined;
  /* module identifier */
  var __vue_module_identifier__ = undefined;
  /* functional template */
  var __vue_is_functional_template__ = false;
  /* component normalizer */
  function __vue_normalize__(
    template, style, script$$1,
    scope, functional, moduleIdentifier,
    createInjector, createInjectorSSR
  ) {
    var component = (typeof script$$1 === 'function' ? script$$1.options : script$$1) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "ios-information-circle-outline.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) { component.functional = true; }
    }

    component._scopeId = scope;

    return component
  }
  /* style inject */
  
  /* style inject SSR */
  

  
  __vue_normalize__(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    undefined,
    undefined
  );
