'use strict';

var A_ROTATE = 'rotate';
var A_BEAT = 'beat';
var A_SHAKE = 'shake';

var IoniconsMixin = {
  computed: {
    ionClass: function ionClass() {
      var addClass = '';
      if (this.animate === A_ROTATE) {
        addClass = 'ion-rotate ';
      } else if (this.animate === A_BEAT) {
        addClass = 'ion-beat ';
      } else if (this.animate === A_SHAKE) {
        addClass = 'ion-shake ';
      }

      return ((this.rootClass) + " " + addClass)
    }
  },
  props: {
    title: {
      type: String,
      default: ''
    },
    rootClass: {
      type: String,
      default: ''
    },
    w: {
      type: String,
      default: '14px'
    },
    h: {
      type: String,
      default: '14px'
    },
    animate: {
      type: String,
      default: ''
    }
  }
};

//

var script = {
  name: "md-arrow-round-back-icon",
  mixins: [
    IoniconsMixin
  ],
  data: function data () {
    var iconTitle = this.title ? this.title : "Md Arrow Round Back Icon";
    return {
      iconTitle: iconTitle
    }
  }
};

/* script */
            var __vue_script__ = script;
            
/* template */
var __vue_render__ = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"ion",class:_vm.ionClass,attrs:{"title":_vm.iconTitle,"name":"md-arrow-round-back-icon"}},[_c('svg',{staticClass:"ion__svg",attrs:{"width":_vm.w,"height":_vm.h,"viewBox":"0 0 512 512"}},[_c('path',{attrs:{"d":"M401.4 224h-214l83-79.4c11.9-12.5 11.9-32.7 0-45.2s-31.2-12.5-43.2 0L89 233.4c-6 5.8-9 13.7-9 22.4v.4c0 8.7 3 16.6 9 22.4l138.1 134c12 12.5 31.3 12.5 43.2 0 11.9-12.5 11.9-32.7 0-45.2l-83-79.4h214c16.9 0 30.6-14.3 30.6-32 .1-18-13.6-32-30.5-32z"}})])])};
var __vue_staticRenderFns__ = [];

  /* style */
  var __vue_inject_styles__ = undefined;
  /* scoped */
  var __vue_scope_id__ = undefined;
  /* module identifier */
  var __vue_module_identifier__ = undefined;
  /* functional template */
  var __vue_is_functional_template__ = false;
  /* component normalizer */
  function __vue_normalize__(
    template, style, script$$1,
    scope, functional, moduleIdentifier,
    createInjector, createInjectorSSR
  ) {
    var component = (typeof script$$1 === 'function' ? script$$1.options : script$$1) || {};

    // For security concerns, we use only base name in production mode.
    component.__file = "md-arrow-round-back.vue";

    if (!component.render) {
      component.render = template.render;
      component.staticRenderFns = template.staticRenderFns;
      component._compiled = true;

      if (functional) { component.functional = true; }
    }

    component._scopeId = scope;

    return component
  }
  /* style inject */
  
  /* style inject SSR */
  

  
  __vue_normalize__(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    undefined,
    undefined
  );
